Bug 1717739 - clusteroperator/node-tuning does not define enough related resources
Summary: clusteroperator/node-tuning does not define enough related resources
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node Tuning Operator
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.1.z
Assignee: jmencak
QA Contact: Mike Fiedler
URL:
Whiteboard: 4.1.4
Depends On:
Blocks: 1723577
TreeView+ depends on / blocked
 
Reported: 2019-06-06 03:32 UTC by Luis Sanchez
Modified: 2019-07-04 09:01 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: must-gather tool exits 1 on co/node-tuning and does not provide enough co/node-tuning related resources Consequence: must-gather tool is unable to collect sufficient information for co/node-tuning Fix: added more related-resources to co/node-tuning Result: must-gather tool is now able to collect sufficient information about co/node-tuning related resources
Clone Of:
: 1723577 (view as bug list)
Environment:
Last Closed: 2019-07-04 09:01:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:1635 None None None 2019-07-04 09:01:33 UTC

Description Luis Sanchez 2019-06-06 03:32:14 UTC
Description of problem:

The node-tuning ClusterOperator resource does not specify enough related resources. This hinders problem-determination as tools cannot automatically collect the information needed to debug issues.

The operator should specify, at minimum, a namespace and a configuration resource to collect.

Here is an example from kube-apisever:

kind: ClusterOperator
metadata:
  name: kube-apiserver
status:
  relatedObjects:
    - group: operator.openshift.io
      name: cluster
      resource: kubeapiservers
    - group: ''
      name: openshift-config
      resource: namespaces
    - group: ''
      name: openshift-config-managed
      resource: namespaces
    - group: ''
      name: openshift-kube-apiserver-operator
      resource: namespaces
    - group: ''
      name: openshift-kube-apiserver
      resource: namespaces


A new e2e test designed to catch this deficiency will white-list this component initially. This component should be removed from the white-list as part of resolving this issue.

https://github.com/openshift/origin/blob/master/test/extended/operators/clusteroperators.go (link will be active once https://github.com/openshift/origin/pull/23044 merges)

Comment 9 Mike Fiedler 2019-06-26 13:11:48 UTC
Verified with 

NAME          VERSION                             AVAILABLE   PROGRESSING   DEGRADED   SINCE
node-tuning   4.1.0-0.nightly-2019-06-26-044128   True        False         False      43m



openshift-cluster-node-tuning-operator/                                                                                                                                                                                                                                                                                       
├── apps                                                                                                                                                                                                                                                                                                                      
│   ├── daemonsets                                                                                                                                                                                                                                                                                                            
│   │   └── tuned.yaml                                                                                                                                                                                                                                                                                                        
│   ├── daemonsets.yaml                                                                                                                                                                                                                                                                                                       
│   ├── deployments.yaml                                                                                                                                                                                                                                                                                                      
│   ├── replicasets.yaml                                                                                                                                                                                                                                                                                                      
│   └── statefulsets.yaml                                                                                                                                                                                                                                                                                                     
├── apps.openshift.io                                                                                                                                                                                                                                                                                                         
│   └── deploymentconfigs.yaml                                                                                                                                                                                                                                                                                                
├── autoscaling                                                                                                                                                                                                                                                                                                               
│   └── horizontalpodautoscalers.yaml                                                                                                                                                                                                                                                                                         
├── batch                                                                                                                                                                                                                                                                                                                     
│   ├── cronjobs.yaml                                                                                                                                                                                                                                                                                                         
│   └── jobs.yaml                                                                                                                                                                                                                                                                                                             
├── build.openshift.io                                                                                                                                                                                                                                                                                                        
│   ├── buildconfigs.yaml                                                                                                                                                                                                                                                                                                     
│   └── builds.yaml                                                                                                                                                                                                                                                                                                           
├── core                                                                                                                                                                                                                                                                                                                      
│   ├── configmaps                                                                                                                                                                                                                                                                                                            
│   │   ├── tuned-profiles.yaml
│   │   └── tuned-recommend.yaml
│   ├── configmaps.yaml
│   ├── events.yaml
│   ├── pods.yaml
│   ├── replicationcontrollers.yaml
│   ├── secrets.yaml
│   ├── serviceaccounts
│   │   └── tuned.yaml
│   └── services.yaml
├── image.openshift.io
│   └── imagestreams.yaml
├── openshift-cluster-node-tuning-operator.yaml
├── pods
│   ├── cluster-node-tuning-operator-5c8848575-nnfmz
│   │   ├── cluster-node-tuning-operator
│   │   │   └── cluster-node-tuning-operator
│   │   │       └── logs
│   │   │           ├── current.log
│   │   │           └── previous.log
│   │   └── cluster-node-tuning-operator-5c8848575-nnfmz.yaml
│   ├── tuned-h8bf6
│   │   ├── tuned
│   │   │   └── tuned
│   │   │       └── logs
│   │   │           ├── current.log
│   │   │           └── previous.log
│   │   └── tuned-h8bf6.yaml
│   ├── tuned-kttrm
│   │   ├── tuned
│   │   │   └── tuned
│   │   │       └── logs
│   │   │           ├── current.log
│   │   │           └── previous.log
│   │   └── tuned-kttrm.yaml
│   ├── tuned-n2xkj
│   │   ├── tuned
│   │   │   └── tuned
│   │   │       └── logs
│   │   │           ├── current.log
│   │   │           └── previous.log
│   │   └── tuned-n2xkj.yaml
│   ├── tuned-qz9nc
│   │   ├── tuned
│   │   │   └── tuned
│   │   │       └── logs
│   │   │           ├── current.log
│   │   │           └── previous.log
│   │   └── tuned-qz9nc.yaml
│   ├── tuned-rcktj
│   │   ├── tuned
│   │   │   └── tuned
│   │   │       └── logs
│   │   │           ├── current.log
│   │   │           └── previous.log
│   │   └── tuned-rcktj.yaml
│   └── tuned-smxtv
│       ├── tuned
│       │   └── tuned
│       │       └── logs
│       │           ├── current.log
│       │           └── previous.log
│       └── tuned-smxtv.yaml
├── route.openshift.io
│   └── routes.yaml
└── tuned.openshift.io
    └── tuneds
        └── default.yaml

42 directories, 45 files

Comment 11 errata-xmlrpc 2019-07-04 09:01:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:1635


Note You need to log in before you can comment on or make changes to this bug.